{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base16Lower 
  ( Base16Lower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase16LowerToMultibase
  , encodeTextInBase16LowerToMultibase
  , encodeBase16LowerToMultibaseLazy
  , encodeTextInBase16LowerToMultibaseLazy
  , encodeBase16LowerToMultibaseShort
  , encodeTextInBase16LowerToMultibaseShort
  , encodeBase16LowerToMultibaseBytes
  , encodeTextInBase16LowerToMultibaseBytes
  , encodeBase16LowerToMultibaseBytesLazy
  , encodeTextInBase16LowerToMultibaseBytesLazy
  , encodeBase16LowerToMultibaseBytesShort
  , encodeTextInBase16LowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
