{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base256Emoji 
  ( Base256Emoji
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase256EmojiToMultibase
  , encodeTextInBase256EmojiToMultibase
  , encodeBase256EmojiToMultibaseLazy
  , encodeTextInBase256EmojiToMultibaseLazy
  , encodeBase256EmojiToMultibaseShort
  , encodeTextInBase256EmojiToMultibaseShort
  , encodeBase256EmojiToMultibaseBytes
  , encodeTextInBase256EmojiToMultibaseBytes
  , encodeBase256EmojiToMultibaseBytesLazy
  , encodeTextInBase256EmojiToMultibaseBytesLazy
  , encodeBase256EmojiToMultibaseBytesShort
  , encodeTextInBase256EmojiToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
