{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32HexPadUpper 
  ( Base32HexPadUpper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32HexPadUpperToMultibase
  , encodeTextInBase32HexPadUpperToMultibase
  , encodeBase32HexPadUpperToMultibaseLazy
  , encodeTextInBase32HexPadUpperToMultibaseLazy
  , encodeBase32HexPadUpperToMultibaseShort
  , encodeTextInBase32HexPadUpperToMultibaseShort
  , encodeBase32HexPadUpperToMultibaseBytes
  , encodeTextInBase32HexPadUpperToMultibaseBytes
  , encodeBase32HexPadUpperToMultibaseBytesLazy
  , encodeTextInBase32HexPadUpperToMultibaseBytesLazy
  , encodeBase32HexPadUpperToMultibaseBytesShort
  , encodeTextInBase32HexPadUpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
