{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32PadUpper 
  ( Base32PadUpper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32PadUpperToMultibase
  , encodeTextInBase32PadUpperToMultibase
  , encodeBase32PadUpperToMultibaseLazy
  , encodeTextInBase32PadUpperToMultibaseLazy
  , encodeBase32PadUpperToMultibaseShort
  , encodeTextInBase32PadUpperToMultibaseShort
  , encodeBase32PadUpperToMultibaseBytes
  , encodeTextInBase32PadUpperToMultibaseBytes
  , encodeBase32PadUpperToMultibaseBytesLazy
  , encodeTextInBase32PadUpperToMultibaseBytesLazy
  , encodeBase32PadUpperToMultibaseBytesShort
  , encodeTextInBase32PadUpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
