{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32z 
  ( Base32z
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32zToMultibase
  , encodeTextInBase32zToMultibase
  , encodeBase32zToMultibaseLazy
  , encodeTextInBase32zToMultibaseLazy
  , encodeBase32zToMultibaseShort
  , encodeTextInBase32zToMultibaseShort
  , encodeBase32zToMultibaseBytes
  , encodeTextInBase32zToMultibaseBytes
  , encodeBase32zToMultibaseBytesLazy
  , encodeTextInBase32zToMultibaseBytesLazy
  , encodeBase32zToMultibaseBytesShort
  , encodeTextInBase32zToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
