{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base36Lower 
  ( Base36Lower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase36LowerToMultibase
  , encodeTextInBase36LowerToMultibase
  , encodeBase36LowerToMultibaseLazy
  , encodeTextInBase36LowerToMultibaseLazy
  , encodeBase36LowerToMultibaseShort
  , encodeTextInBase36LowerToMultibaseShort
  , encodeBase36LowerToMultibaseBytes
  , encodeTextInBase36LowerToMultibaseBytes
  , encodeBase36LowerToMultibaseBytesLazy
  , encodeTextInBase36LowerToMultibaseBytesLazy
  , encodeBase36LowerToMultibaseBytesShort
  , encodeTextInBase36LowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
