{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base36Upper 
  ( Base36Upper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase36UpperToMultibase
  , encodeTextInBase36UpperToMultibase
  , encodeBase36UpperToMultibaseLazy
  , encodeTextInBase36UpperToMultibaseLazy
  , encodeBase36UpperToMultibaseShort
  , encodeTextInBase36UpperToMultibaseShort
  , encodeBase36UpperToMultibaseBytes
  , encodeTextInBase36UpperToMultibaseBytes
  , encodeBase36UpperToMultibaseBytesLazy
  , encodeTextInBase36UpperToMultibaseBytesLazy
  , encodeBase36UpperToMultibaseBytesShort
  , encodeTextInBase36UpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
