{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base58Btc 
  ( Base58Btc
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase58BtcToMultibase
  , encodeTextInBase58BtcToMultibase
  , encodeBase58BtcToMultibaseLazy
  , encodeTextInBase58BtcToMultibaseLazy
  , encodeBase58BtcToMultibaseShort
  , encodeTextInBase58BtcToMultibaseShort
  , encodeBase58BtcToMultibaseBytes
  , encodeTextInBase58BtcToMultibaseBytes
  , encodeBase58BtcToMultibaseBytesLazy
  , encodeTextInBase58BtcToMultibaseBytesLazy
  , encodeBase58BtcToMultibaseBytesShort
  , encodeTextInBase58BtcToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
