{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32NoPadUpper 
  ( Base32NoPadUpper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32NoPadUpperToMultibase
  , encodeTextInBase32NoPadUpperToMultibase
  , encodeBase32NoPadUpperToMultibaseLazy
  , encodeTextInBase32NoPadUpperToMultibaseLazy
  , encodeBase32NoPadUpperToMultibaseShort
  , encodeTextInBase32NoPadUpperToMultibaseShort
  , encodeBase32NoPadUpperToMultibaseBytes
  , encodeTextInBase32NoPadUpperToMultibaseBytes
  , encodeBase32NoPadUpperToMultibaseBytesLazy
  , encodeTextInBase32NoPadUpperToMultibaseBytesLazy
  , encodeBase32NoPadUpperToMultibaseBytesShort
  , encodeTextInBase32NoPadUpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
