{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base58Flickr 
  ( Base58Flickr
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase58FlickrToMultibase
  , encodeTextInBase58FlickrToMultibase
  , encodeBase58FlickrToMultibaseLazy
  , encodeTextInBase58FlickrToMultibaseLazy
  , encodeBase58FlickrToMultibaseShort
  , encodeTextInBase58FlickrToMultibaseShort
  , encodeBase58FlickrToMultibaseBytes
  , encodeTextInBase58FlickrToMultibaseBytes
  , encodeBase58FlickrToMultibaseBytesLazy
  , encodeTextInBase58FlickrToMultibaseBytesLazy
  , encodeBase58FlickrToMultibaseBytesShort
  , encodeTextInBase58FlickrToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
