{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base64NoPad 
  ( Base64NoPad
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase64NoPadToMultibase
  , encodeTextInBase64NoPadToMultibase
  , encodeBase64NoPadToMultibaseLazy
  , encodeTextInBase64NoPadToMultibaseLazy
  , encodeBase64NoPadToMultibaseShort
  , encodeTextInBase64NoPadToMultibaseShort
  , encodeBase64NoPadToMultibaseBytes
  , encodeTextInBase64NoPadToMultibaseBytes
  , encodeBase64NoPadToMultibaseBytesLazy
  , encodeTextInBase64NoPadToMultibaseBytesLazy
  , encodeBase64NoPadToMultibaseBytesShort
  , encodeTextInBase64NoPadToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
