{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base64Pad 
  ( Base64Pad
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase64PadToMultibase
  , encodeTextInBase64PadToMultibase
  , encodeBase64PadToMultibaseLazy
  , encodeTextInBase64PadToMultibaseLazy
  , encodeBase64PadToMultibaseShort
  , encodeTextInBase64PadToMultibaseShort
  , encodeBase64PadToMultibaseBytes
  , encodeTextInBase64PadToMultibaseBytes
  , encodeBase64PadToMultibaseBytesLazy
  , encodeTextInBase64PadToMultibaseBytesLazy
  , encodeBase64PadToMultibaseBytesShort
  , encodeTextInBase64PadToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
