{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base64UrlNoPad 
  ( Base64UrlNoPad
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase64UrlNoPadToMultibase
  , encodeTextInBase64UrlNoPadToMultibase
  , encodeBase64UrlNoPadToMultibaseLazy
  , encodeTextInBase64UrlNoPadToMultibaseLazy
  , encodeBase64UrlNoPadToMultibaseShort
  , encodeTextInBase64UrlNoPadToMultibaseShort
  , encodeBase64UrlNoPadToMultibaseBytes
  , encodeTextInBase64UrlNoPadToMultibaseBytes
  , encodeBase64UrlNoPadToMultibaseBytesLazy
  , encodeTextInBase64UrlNoPadToMultibaseBytesLazy
  , encodeBase64UrlNoPadToMultibaseBytesShort
  , encodeTextInBase64UrlNoPadToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
